## primer3 2.3.7

=== debian/changelog ===
primer3 (2.3.7-3) unstable; urgency=medium

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CXX as CPP (Closes: #851230)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 08:32:57 +0100

primer3 (2.3.7-2) unstable; urgency=medium

  * Team Upload
  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * better hardening
  * split example data for test into separate arch all package
  * add lintian override for empty directories

  [ Canberk Koç ]
  * Autopkgtest added
  * debian/rules:
    - added dh_clean to override_dh_auto_test section
    - sed perl interpreter path
  
 -- Canberk Koç <canberkkoc@gmail.com>  Mon, 27 Jun 2016 04:28:31 +0300

primer3 (2.3.7-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 18:56:25 +0100
