=== debian/control ===
Source: primer3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/primer3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/primer3.git
Homepage: http://primer3.sourceforge.net

Package: primer3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: ncbi-epcr
Enhances: emboss
Description: tool to design flanking oligo nucleotides for DNA amplification
 Primer3 picks primers for Polymerase Chain Reactions (PCRs), considering as
 criteria oligonucleotide melting temperature, size, GC content and
 primer-dimer possibilities, PCR product size, positional constraints within
 the source sequence, and miscellaneous other constraints. All of these
 criteria are user-specifiable as constraints, and some are specifiable as
 terms in an objective function that characterizes an optimal primer pair.

Package: primer3-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: primer3
Description: tool to design flanking oligo nucleotides for DNA amplification (examples)
 Primer3 picks primers for Polymerase Chain Reactions (PCRs), considering as
 criteria oligonucleotide melting temperature, size, GC content and
 primer-dimer possibilities, PCR product size, positional constraints within
 the source sequence, and miscellaneous other constraints. All of these
 criteria are user-specifiable as constraints, and some are specifiable as
 terms in an objective function that characterizes an optimal primer pair.
 .
 This package contains example data to test the package.
