=== debian/rules ===
#!/usr/bin/make -f

# Does not build when using +all
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
sampledir:=$(CURDIR)/debian/$(DEBPKGNAME)-examples/usr/share/doc/$(DEBPKGNAME)/examples

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- 'CPP=$$(CXX)'

override_dh_auto_test:
	dh_auto_test --sourcedirectory=test
	dh clean --sourcedirectory=test


override_dh_installexamples:
	dh_installexamples
	mkdir -p $(sampledir)/test;
	mkdir -p $(sampledir)/src;
	cp -aR ./test/* $(sampledir)/test;
	cp -aR ./src/humrep_and_simple.txt $(sampledir)/src;
	cp primer*.txt $(sampledir)/;
	chmod -x $(sampledir)/test/thal*;
	sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' $(sampledir)/test/long_seq_tm_test.pl ;
	sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' $(sampledir)/test/vgrep.pl ;
