=== debian/changelog ===
primer3 (2.4.0-4) unstable; urgency=medium

  * Team upload
  * Fixup syntax skip for big endian platforms.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jul 2020 22:12:20 +0200

primer3 (2.4.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Also skip autopkgtests that fail on big endian (see: 890993)
    Closes: #962190

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 0.9-0.2.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jul 2020 08:10:35 +0200

primer3 (2.4.0-2) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Team upload.
  * Skip tests that fail on big endian
    Closes: #890993
  * Added d/README.source with explanation why some tests are skipped
  * debian/patches/p3test_fix_exit_status.patch: Fix test to show correct exit
    status

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 28 May 2018 13:44:30 +0000

primer3 (2.4.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 09:21:42 +0100

primer3 (2.3.7-5) unstable; urgency=medium

  * d/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 Sep 2017 15:05:29 +0200

primer3 (2.3.7-4) unstable; urgency=medium

  * Fix build with gcc-7
    Closes: #853621
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: use DEB_SOURCE
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 06:55:03 +0200
