=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/primer3.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/primer3.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/primer3
+Vcs-Git: https://salsa.debian.org/med-team/primer3.git
 Homepage: http://primer3.sourceforge.net
+Rules-Requires-Root: no
 
 Package: primer3
 Architecture: any
