=== debian/watch ===
version=4
# formerly
#https://sf.net/primer3/primer3-[-src]*([\d.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
# conda new about this new URL on github
https://github.com/primer3-org/primer3/releases .*/archive/V(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
