## primer3 2.5.0

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # ======================================================================
-# (c) Copyright 1996,1997,1998,1999,2000,2001,2004,2006,2007,2008,2009
+# (c) Copyright 1996 - 2018
 # Whitehead Institute for Biomedical Research, Steve Rozen, 
 # Andreas Untergasser and Helen Skaletsky
 # All rights reserved.
@@ -48,21 +48,25 @@
 
 # For VALGRIND -- see end of this makefile for testing primer3_core
 # with valgrind, a leak and memory access checker.
-TESTOPTS= 
+TESTOPTS=
 WINMAKE=mingw32-make
 
 LDLIBS     = -lm
 AR         = ar
 CC         = gcc
-CPP        = g++
+CXX        = g++
 O_OPTS     = -O2
-CC_OPTS    = -g -Wall -D__USE_FIXED_PROTOTYPES__
+CC_OPTS    = -g -Wall
 P_DEFINES  =
 
 CFLAGS  = $(CC_OPTS) $(O_OPTS)
+CXXFLAGS = $(CFLAGS) -std=c++11
 LDFLAGS = -g
 # Note, for profiling, use
 # make O_OPTS='-pg -O0' LDFLAGS='-g -pg'
+
+# Target installation directory
+PREFIX     = /usr/local
 
 # ======================================================================
 # If you have trouble with library skew when moving primer3 executables
@@ -75,7 +79,6 @@
 	NTTHAL_EXE      = ntthal.exe
 	OLIGOTM_EXE     = oligotm.exe
 	LONG_SEQ_EXE	= long_seq_tm_test.exe
-	MASKER_EXE      = primer3_masker.exe
 else
 	PRIMER_EXE      = primer3_core
 	NTDPAL_EXE      = ntdpal
@@ -90,26 +93,40 @@
 LIBDPAL_DYN     = libdpal.a.so.1.0.0
 LIBTHAL         = libthal.a
 LIBTHAL_DYN     = libthal.a.so.1.0.0
+LIBTHALPARA     = libthalpara.a
+LIBTHALPARA_DYN = libthalpara.a.so.1.0.0
 LIBPRIMER3      = libprimer3.a
 LIBPRIMER3_DYN  = libprimer3.so.1.0.0
-LIBMASKER       = libmasker.a
-LIBMASKER_DYN   = libmasker.a.so.1.0.0
-LIBRARIES       = $(LIBPRIMER3) $(LIBDPAL) $(LIBTHAL) $(LIBOLIGOTM) $(LIBMASKER)
-DYNLIBS         = $(LIBPRIMER3_DYN) $(LIBDPAL_DYN) $(LIBTHAL_DYN) $(LIBOLIGOTM_DYN) $(LIBMASKER_DYN)
+
+ifeq ($(TESTOPTS),--windows)
+    $(info windows)
+    LIBRARIES       = $(LIBPRIMER3) $(LIBDPAL) $(LIBTHAL) $(LIBTHALPARA) $(LIBOLIGOTM)
+    DYNLIBS         = $(LIBPRIMER3_DYN) $(LIBDPAL_DYN) $(LIBTHAL_DYN) $(LIBTHALPARA_DYN) $(LIBOLIGOTM_DYN)
+else
+    $(info no windows)
+    LIBMASKER       = libmasker.a
+    LIBMASKER_DYN   = libmasker.a.so.1.0.0
+    LIBRARIES       = $(LIBPRIMER3) $(LIBDPAL) $(LIBTHAL) $(LIBTHALPARA) $(LIBOLIGOTM) $(LIBMASKER)
+    DYNLIBS         = $(LIBPRIMER3_DYN) $(LIBDPAL_DYN) $(LIBTHAL_DYN) $(LIBTHALPARA_DYN) $(LIBOLIGOTM_DYN) $(LIBMASKER_DYN)
+endif
+
 RANLIB          = ranlib
 
 PRIMER_OBJECTS1=primer3_boulder_main.o\
                 format_output.o\
                 read_boulder.o\
-                print_boulder.o\
-                masker.o
+                print_boulder.o
 
 PRIMER_OBJECTS=$(PRIMER_OBJECTS1) $(LIBRARIES)
 PRIMER_DYN_OBJECTS=$(PRIMER_OBJECTS1) $(DYNLIBS)
 # These are files generated by running ./primer3_core < ../example
 example_files=example.for example.rev example.int
 
-EXES=$(PRIMER_EXE) $(NTDPAL_EXE) $(NTTHAL_EXE) $(OLIGOTM_EXE) $(LONG_SEQ_EXE) $(MASKER_EXE)
+ifeq ($(TESTOPTS),--windows)
+    EXES=$(PRIMER_EXE) $(NTDPAL_EXE) $(NTTHAL_EXE) $(OLIGOTM_EXE) $(LONG_SEQ_EXE)
+else
+    EXES=$(PRIMER_EXE) $(NTDPAL_EXE) $(NTTHAL_EXE) $(OLIGOTM_EXE) $(LONG_SEQ_EXE) $(MASKER_EXE)
+endif
 
 all: $(EXES) $(LIBRARIES)
 
@@ -147,6 +164,13 @@
 
 $(LIBTHAL_DYN): thal_primer.o
 	$(CC) -shared -W1,-soname,libthal.so.1 -o $(LIBTHAL_DYN_LIB) thal_primer.o
+
+$(LIBTHALPARA): thal_parameters.o
+	$(AR) rv $@ thal_parameters.o
+	$(RANLIB) $@
+
+$(LIBTHALPARA_DYN): thal_parameters.o
+	$(CC) -shared -W1,-soname,libthalpara.so.1 -o $(LIBTHALPARA_DYN_LIB) thal_parameters.o
 
 $(LIBPRIMER3): libprimer3.o p3_seq_lib.o
 	$(AR) rv $@ libprimer3.o p3_seq_lib.o
@@ -163,67 +187,70 @@
 	$(CC) -shared -W1,-soname,libmasker.so.1 -o $(LIBMASKER_DYN) masker.o
 
 $(PRIMER_EXE): $(PRIMER_OBJECTS)
-	$(CPP) $(LDFLAGS) -o $@ $(PRIMER_OBJECTS) $(LIBOPTS) $(LDLIBS)
-
-libprimer3.o: libprimer3.c libprimer3.h p3_seq_lib.h dpal.h thal.h oligotm.h
-	$(CPP) -c $(CFLAGS) -Wno-deprecated $(P_DEFINES) -o $@ libprimer3.c
+	$(CXX) $(CXXFLAGS) -lstdc++ $(LDFLAGS) -o $@ $(PRIMER_OBJECTS) $(LIBOPTS) $(LDLIBS)
+
+libprimer3.o: libprimer3.cc libprimer3.h p3_seq_lib.h dpal.h thal.h thal_parameters.h oligotm.h
+	$(CXX) -c $(CXXFLAGS) $(P_DEFINES) -o $@ libprimer3.cc
 
 $(NTDPAL_EXE): ntdpal_main.o dpal.o
-	$(CPP) $(LDFLAGS) -o $@ ntdpal_main.o dpal.o
-
-$(NTTHAL_EXE): thal_main.o thal.o
-	$(CPP) $(LDFLAGS) -o $@ thal_main.o thal.o $(LDLIBS)
+	$(CC) $(LDFLAGS) -o $@ ntdpal_main.o dpal.o
+
+$(NTTHAL_EXE): thal_main.o thal.o thal_parameters.o
+	$(CC) $(LDFLAGS) -o $@ thal_main.o thal.o thal_parameters.o $(LDLIBS)
 
 $(OLIGOTM_EXE): oligotm_main.c oligotm.h $(LIBOLIGOTM)
-	$(CPP) $(CFLAGS) -o $@ oligotm_main.c $(LIBOLIGOTM) $(LIBOPTS) $(LDLIBS)
+	$(CC) $(CFLAGS) -o $@ oligotm_main.c $(LIBOLIGOTM) $(LIBOPTS) $(LDLIBS)
 
 $(LONG_SEQ_EXE): long_seq_tm_test_main.c oligotm.o
-	$(CPP) $(CFLAGS) -o $@ long_seq_tm_test_main.c oligotm.o $(LIBOPTS) $(LDLIBS)
+	$(CC) $(CFLAGS) -o $@ long_seq_tm_test_main.c oligotm.o $(LIBOPTS) $(LDLIBS)
 
 $(MASKER_EXE): masker_main.c $(LIBRARIES)
-	$(CPP) $(CFLAGS) -o $@ masker_main.c $(LIBRARIES) $(LIBOPTS) $(LDLIBS)
-
-read_boulder.o: read_boulder.c read_boulder.h libprimer3.h dpal.h thal.h p3_seq_lib.h 
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) -o $@ read_boulder.c
+	$(CXX) $(CXXFLAGS) -lstdc++ -o $@ masker_main.c $(LIBRARIES) $(LIBOPTS) $(LDLIBS)
+
+read_boulder.o: read_boulder.c read_boulder.h libprimer3.h dpal.h thal.h thal_parameters.h p3_seq_lib.h 
+	$(CC) -c $(CFLAGS) $(P_DEFINES) -o $@ read_boulder.c
 
 print_boulder.o: print_boulder.c print_boulder.h libprimer3.h p3_seq_lib.h 
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) -o $@ print_boulder.c
+	$(CC) -c $(CFLAGS) $(P_DEFINES) -o $@ print_boulder.c
 
 dpal.o: dpal.c dpal.h
-	$(CPP) -c $(CFLAGS) -o $@ dpal.c
+	$(CC) -c $(CFLAGS) -o $@ dpal.c
 
 # We use '-ffloat-store' on windows to prevent undesirable
 # precision which may lead to differences in floating point results.
-thal.o: thal.c thal.h
-	$(CPP) -c $(CFLAGS) -ffloat-store -o $@ thal.c
+thal.o: thal.c thal.h thal_parameters.h
+	$(CC) -c $(CFLAGS) -ffloat-store -o $@ thal.c
+
+thal_parameters.o: thal_parameters.c thal_parameters.h thal.h
+	$(CC) -c $(CFLAGS) -ffloat-store $(P_DEFINES) -o $@ thal_parameters.c
 
 p3_seq_lib.o: p3_seq_lib.c p3_seq_lib.h libprimer3.h
-	$(CPP) -c $(CFLAGS) -o $@ p3_seq_lib.c
+	$(CC) -c $(CFLAGS) -o $@ p3_seq_lib.c
 
 dpal_primer.o: dpal.c dpal.h
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) -o $@ dpal.c
-
-thal_primer.o: thal.c thal.h
-	$(CPP) -c $(CFLAGS) -ffloat-store $(P_DEFINES) -o $@ thal.c
+	$(CC) -c $(CFLAGS) $(P_DEFINES) -o $@ dpal.c
+
+thal_primer.o: thal.c thal.h thal_parameters.h
+	$(CC) -c $(CFLAGS) -ffloat-store $(P_DEFINES) -o $@ thal.c
 
 format_output.o: format_output.c format_output.h libprimer3.h dpal.h thal.h p3_seq_lib.h 
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) -o $@ format_output.c
+	$(CC) -c $(CFLAGS) $(P_DEFINES) -o $@ format_output.c
 
 ntdpal_main.o: ntdpal_main.c dpal.h
-	$(CPP) -c $(CC_OPTS) -o $@ ntdpal_main.c
-
-thal_main.o: thal_main.c thal.h
-	$(CPP) -c $(CFLAGS) -o $@ thal_main.c
+	$(CC) -c $(CC_OPTS) -o $@ ntdpal_main.c
+
+thal_main.o: thal_main.c thal.h thal_parameters.h
+	$(CC) -c $(CFLAGS) -o $@ thal_main.c
 # We use CC_OPTS above rather than CFLAGS because
 # gcc 2.7.2 crashes while compiling ntdpal_main.c with -O2
 
 oligotm.o: oligotm.c oligotm.h
 
-primer3_boulder_main.o: primer3_boulder_main.c libprimer3.h dpal.h thal.h oligotm.h format_output.h print_boulder.h read_boulder.h
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) primer3_boulder_main.c
+primer3_boulder_main.o: primer3_boulder_main.c libprimer3.h dpal.h thal.h thal_parameters.h oligotm.h format_output.h print_boulder.h read_boulder.h
+	$(CC) -c $(CFLAGS) $(P_DEFINES) primer3_boulder_main.c
 
 masker.o: masker.c masker.h libprimer3.h
-	$(CPP) -c $(CFLAGS) $(P_DEFINES) masker.c
+	$(CC) -c $(CFLAGS) $(P_DEFINES) masker.c
 
 primer_test: test
 
@@ -233,6 +260,10 @@
 else
 	cd ../test; make test
 endif
+
+install: $(EXES) $(LIBRARIES)
+	install -d "$(PREFIX)/bin"
+	install -m 755 $(EXES) "$(PREFIX)/bin"
 
 # ======================================================================
 #
