=== debian/changelog ===
primer3 (2.5.0-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + primer3-examples: Add Multi-Arch: foreign.
  * Fix PREFIX

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 15:20:35 +0200
