=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/primer3
 Vcs-Git: https://salsa.debian.org/med-team/primer3.git
 Homepage: http://primer3.sourceforge.net
@@ -30,6 +30,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: primer3
+Multi-Arch: foreign
 Description: tool to design flanking oligo nucleotides for DNA amplification (examples)
  Primer3 picks primers for Polymerase Chain Reactions (PCRs), considering as
  criteria oligonucleotide melting temperature, size, GC content and
