=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 
 override_dh_auto_build:
 	dh_auto_build -- 'CPP=$$(CXX)'
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=debian/$(DEB_SOURCE)/usr
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
