=== test/Makefile ===
--- 
+++ 
@@ -44,8 +44,15 @@
 TESTOPTS =
 
 
-test: makeexes testcmdline testtm testdpal testthal testmasker testcore
+test: makeexes testcmdline testtm testdpal testthal testmasker testamp testcore
 	echo; echo; echo "Testing completed. You must check the test output for the string FAILED"; echo; echo;
+
+valgrnda: makeexes testcmdline testtm testdpal testthal testmasker testampa testcorea
+	echo; echo; echo "Testing completed. You must check the test output for the string FAILED"; echo; echo;
+
+valgrndb: testcoreb
+	echo; echo; echo "Testing completed. You must check the test output for the string FAILED"; echo; echo;
+
 
 testcmdline:
 ifeq ($(TESTOPTS),--windows)
@@ -60,6 +67,22 @@
 else
 	echo; echo; echo 'TESTING primer3_core'; echo; perl p3test.pl $(TESTOPTS)
 endif
+
+testamp:
+ifeq ($(TESTOPTS),--windows)
+	echo 'TESTING amplicon3_core' & perl a3test.pl $(TESTOPTS)
+else
+	echo; echo; echo 'TESTING amplicon3_core'; echo; perl a3test.pl $(TESTOPTS)
+endif
+
+testampa:
+	echo; echo; echo 'TESTING primer3_core'; echo; perl a3test.pl --valgrinda
+
+testcorea:
+	echo; echo; echo 'TESTING primer3_core'; echo; perl p3test.pl --valgrinda
+
+testcoreb:
+	echo; echo; echo 'TESTING primer3_core'; echo; perl p3test.pl --valgrindb
 
 testdpal:
 ifeq ($(TESTOPTS),--windows)
@@ -91,7 +114,7 @@
 
 makeexes:
 ifeq ($(TESTOPTS),--windows)
-	cd ..\src & $(WINMAKE)
+	cd ../src & $(WINMAKE)
 else
 	cd ../src; make
 endif
@@ -99,13 +122,14 @@
 clean:
 ifeq ($(TESTOPTS),--windows)
 	echo 'CLEAN UP TEST DIRECTORIES'
-	del /Q /F primer1_list_tmp\*
-	del /Q /F primer1_th_list_tmp\*
-	del /Q /F primer_list_tmp\*
-	del /Q /F th-w-other-tasks_list_tmp\*
-	del /Q /F primer_global_err\*.tmp primer_global_err\*.tmp2 primer_global_err\*.bak
+	del /Q /F primer1_list_tmp/*
+	del /Q /F primer1_th_list_tmp/*
+	del /Q /F primer_list_tmp/*
+	del /Q /F th-w-other-tasks_list_tmp/*
+	del /Q /F primer_global_err/*.tmp primer_global_err/*.tmp2 primer_global_err/*.bak
+	del /Q /F amplicon3/*.tm pamplicon3/*.jpg amplicon3/decipher*
 	del /Q /F *.tmp *.bak *.tmp.err *~
-	del /Q /F hyb_probe_only.for hyb_probe_only.int 
+	del /Q /F hyb_probe_only.for hyb_probe_only.int
 	del /Q /F right_only.for right_only.rev left_only.for
 	del /Q /F pcr_primers_and_io.int pcr_primers_and_io.rev pcr_primers_and_io.for
 	del /Q /F pcr_primers.rev pcr_primers.for
@@ -119,6 +143,7 @@
 	-rm -rf primer1_th_list_tmp/*
 	-rm -rf th-w-other-tasks_list_tmp/*
 	-rm -f primer_global_err/*.tmp primer_global_err/*.tmp2 primer_global_err/*.bak
+	-rm -f amplicon3/*.tmp amplicon3/*.jpg amplicon3/decipher*
 	-rm -f *.tmp *.bak *.tmp.err *~
 	-rm -f hyb_probe_only.for hyb_probe_only.int 
 	-rm -f right_only.for right_only.rev left_only.for
