=== debian/changelog ===
primer3 (2.6.1-6) unstable; urgency=medium

  * Team upload.
  * gcc15.patch: new: remove SunOS workaround.
    This allows fixing a build failure with gcc-15. (Closes: #1097649)
  * d/copyright: remove the old fsf address.
  * d/watch: convert to v5 github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Oct 2025 22:24:23 +0200

primer3 (2.6.1-5) unstable; urgency=medium

  * Team upload.
  * Clean up source directory properly (Closes: #1045454)
  * Use execute_after hook over overrides in d/rules
  * Bump standards version to 4.7.0 (no changes needed)
  * Correct patch header metadata
  * Drop deprecated an-trap macro from manpage

 -- Ananthu C V <weepingclown@disroot.org>  Sun, 01 Dec 2024 17:24:55 +0530

primer3 (2.6.1-4) unstable; urgency=medium

  * Team upload.

  [ Lukas Märdian ]
  * d/t/run-unit-test: fix autopkgtest sed commands on s390x.
    (Closes: #1023823)

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Nov 2022 11:49:48 +0100

primer3 (2.6.1-3) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * d/rules: fix handling of big-endian archs. (Closes: #1014626)

  [ Étienne Mollier ]
  * Standards-Version: 4.6.1 (routine-update)
  * d/primer3-examples.lintian-overrides: refresh override.
  * d/rules: remove executable bit to samples.
  * Add buildflags.patch: propagate Debian build flags.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 10:50:59 +0200

primer3 (2.6.1-2) unstable; urgency=medium

  * Run dh_auto_test with --no-parallel

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 17:57:05 +0100

primer3 (2.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 15:38:18 +0100
