=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/primer3
 Vcs-Git: https://salsa.debian.org/med-team/primer3.git
 Homepage: http://primer3.sourceforge.net
-Rules-Requires-Root: no
 
 Package: primer3
 Architecture: any
