=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,10 @@
 	cp -a test/Makefile test/Makefile~
 	# exclude tests known to fail on big endian
 	# See README.source for further explanation.
-	for tst in $(P3CORE_FAILED_TESTS) ; do sed -i "/$${tst}/d" test/p3test.pl ; done
-	sed -i "0,/$(FAILED_TESTS)/s///" test/Makefile
-	sed -i "/$(FAILED_TESTS)/,/endif/d" test/Makefile
+	for tst in $(P3CORE_FAILED_TESTS) ; do sed -i "/$${tst}.,/d" test/p3test.pl ; done
+	for tst in $(FAILED_TESTS); do sed -i "/^test:/s/$$tst//" test/Makefile; done
 endif
-	dh_auto_test --sourcedirectory=test
+	dh_auto_test --no-parallel --sourcedirectory=test
 ifneq ($(BUILDARCH),little)
 	# restore original test file
 	mv test/p3test.pl~ test/p3test.pl
@@ -42,8 +41,7 @@
 	dh clean --sourcedirectory=test
 endif
 
-override_dh_installexamples:
-	dh_installexamples
+execute_after_dh_installexamples:
 	mkdir -p $(sampledir)/test;
 	mkdir -p $(sampledir)/src;
 	mkdir -p $(sampledir)/settings_files;
@@ -52,7 +50,11 @@
 	cp -aR ./src/humrep_and_simple.txt $(sampledir)/src;
 	cp -a settings_files/primer*.txt $(sampledir)/settings_files;
 	cp -aR ./kmer_lists/*.list $(sampledir)/kmer_lists;
-
-	chmod -x $(sampledir)/test/thal*;
+	chmod -x $(sampledir)/test/thal*
+	chmod -x $(sampledir)/test/amplicon3/amplicons.csv
+	chmod -x $(sampledir)/test/primer_windows_newlines_input
 	sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' $(sampledir)/test/long_seq_tm_test.pl ;
 	sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' $(sampledir)/test/vgrep.pl ;
+
+execute_after_dh_auto_clean:
+	rm -rf ${CURDIR}/src/debian
